TemplateGroup (CMDB Model API)
Keywords: com.collation.platform.model.discovery.template.TemplateGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.template
Interface TemplateGroup

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface TemplateGroup

extends ModelObject

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  TEMPGROUP
Display Name:
  name

Method Summary
`java.lang.String` | `getName()` Get the name of this group
`Template` | `getTemplate()`
`boolean` | `hasName()`
`boolean` | `hasTemplate()`
`void` | `setName(java.lang.String Name)` Set the Name of this group
`void` | `setTemplate(Template t)` Set the membership Set

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Get the name of this group

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String Name)

  Set the Name of this group

  Parameters:
    `Name` -

### hasName

    boolean hasName()

### getTemplate

    Template getTemplate()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTemplate

    void setTemplate(Template t)

  Set the membership Set

  Parameters:
    `Template[]` -

### hasTemplate

    boolean hasTemplate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD